com.mapinfo.midev.language.filter

## Class InListFilter

- java.lang.Object
- - com.mapinfo.midev.language.filter.InListFilter

All Implemented Interfaces:
  IFilter

    public final class InListFilter
    extends Object
    implements IFilter

Defines a filter that specifies features whose value for the specified attribute is equal to any of the specified arguments.

### Constructor Summary

Constructors
Constructor and Description
`InListFilter(String attributeName, IAttributeValue[] arguments)` Create a filter that determines if any attributes are equal to the specified arguments.
`InListFilter(String attributeName, List arguments)` Create a filter that determines if any attributes are equal to the specified arguments.

### Method Summary

All Methods Instance Methods Concrete Methods
`List` `getArgumentList()` Returns the list of argument values.
`String` `getAttributeName()` Returns the name of the attribute that will be searched.
`boolean` `isSpatial()` Returns `false`.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InListFilter

    public InListFilter(String attributeName,
                        IAttributeValue[] arguments)

Create a filter that determines if any attributes are equal to the specified arguments. Note that this is equivalent to or(equals(), equals(), ...).

Parameters:
  `attributeName` - Filter this column.
  `arguments` - Filters any column values that are equal to any of these values.

#### InListFilter

    public InListFilter(String attributeName,
                        List arguments)

Create a filter that determines if any attributes are equal to the specified arguments. Note that this is equivalent to or(equals(), equals(), ...).

Parameters:
  `attributeName` - Filter this column.
  `arguments` - Filters any column values that are equal to any of these values.

### Method Detail

#### getAttributeName

    public String getAttributeName()

Returns the name of the attribute that will be searched.

Returns:
  the name of the attribute that will be searched.

#### getArgumentList

    public List getArgumentList()

Returns the list of argument values.

Returns:
  the list of argument values.

#### isSpatial

    public boolean isSpatial()

Returns `false`.

Specified by:
  `isSpatial` in interface `IFilter`
Returns:
  `false`.